=== debian/control ===
Source: ros-melodic-qb-chain-controllers
Section: misc
Priority: optional
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-controller-interface, ros-melodic-geometry-msgs, ros-melodic-interactive-markers, ros-melodic-qb-chain-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-trac-ik-lib
Homepage: http://wiki.ros.org/qb_chain_controllers
Standards-Version: 3.9.2

Package: ros-melodic-qb-chain-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-control-msgs, ros-melodic-controller-interface, ros-melodic-geometry-msgs, ros-melodic-interactive-markers, ros-melodic-qb-chain-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-trac-ik-lib
Description: This package contains the specific controllers for qbrobotics® kinematic structures, e.g.
 the qbdelta controller.
